mixin head
    head
        meta(charset='utf-8')
        meta(name='viewport' content='width=device-width, initial-scale=1, shrink-to-fit=no')
        title CRUD
        // CSS only
        link(rel='stylesheet' href='https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css' integrity='sha384-9aIt2nRpC12Uk9gS9baDl411NQApFmC26EwAOH8WgZl5MYYxFfc+NcPb1dKGj7Sk' crossorigin='anonymous')
        // JS, Popper.js, and jQuery
        script(src='https://code.jquery.com/jquery-3.5.1.slim.min.js' integrity='sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj' crossorigin='anonymous')
        script(src='https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js' integrity='sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo' crossorigin='anonymous')
        script(src='https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js' integrity='sha384-OgVRvuATP1z7JjHLkuOU7Xw704+h835Lr+6QL9UvYjZE3Ipu6Tp75j7Bh/kR0JKI' crossorigin='anonymous')
        link(href="https://stackpath.bootstrapcdn.com/bootswatch/4.5.0/lumen/bootstrap.min.css", rel="stylesheet", integrity="sha384-VMuWne6iwiifi8iEWNZMw8sDatgb6ntBpBIr67q0rZAyOQwfu/VKpnFntQrjxB5W", crossorigin="anonymous")
        script(src='https://apis.google.com/js/platform.js?onload=onLoad' async='' defer='')
        meta(name='google-signin-client_id' content='757399235295-fj6oirmiojncf3140e01fbhqv410hmfo.apps.googleusercontent.com')

        

mixin navbar(view)
    header.masthead.mb-auto
        .inner
            h3.masthead-brand
            nav.nav.nav-masthead.justify-content-center
                a(class=view==='home' ? 'nav-link h5 active' : 'nav-link h5' href='/') Inicio
                if user 
                    a(class=view==='notas' ? 'nav-link h5 active' : 'nav-link h5' href='/articulos') Articulos
                    a(class=view==='perfil' ? 'nav-link h5 active' : 'nav-link h5' href='/perfil') Subida Archivos
                    a(class=view==='login' ? 'nav-link h5 active' : 'nav-link h5' href='/salir' onclick="signOut();") Cerrar Sesión
                    //Script Cerar Sesion
                    script.
                        function signOut() {
                            var auth2 = gapi.auth2.getAuthInstance();
                            auth2.signOut().then(function () {
                                console.log('User signed out.');
                            });
                            auth2.disconnect();
                        }
                else
                    a(class=view==='login' ? 'nav-link h5 active' : 'nav-link h5' href='/login') Ingresar
                    a(class=view==='register' ? 'nav-link h5 active' : 'nav-link h5' href='/register') Registrarse


mixin about(nombre, nick, title, img)
    .col-lg-4
        img.bd-placeholder-img.rounded-circle(src=img width='140' height='140')
        hr
        h2.font-weight-bold=nick
        h5.font-weight-lighter=nombre
        p=title
        hr

mixin error(error)
    each val in error
        .alert.alert-danger.alert-dismissible.fade.show(role='alert')
            strong= val.text
            button.close(type='button' data-dismiss='alert' aria-label='Close')
                span(aria-hidden='true') &times;
